- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KRatExpFlatten Struct Template Reference
[Algorithms]

Inherits KRatExpMatcher.

List of all members.

## Public Member Functions
U | match (const T &ast)
| Effectively performs the match.

## Detailed Description

### template<class Series, class T, class Dispatch>
struct vcsn::KRatExpFlatten< Series, T, Dispatch >

Definition at line 28 of file krat_exp_flatten.hxx.

## Member Function Documentation

U match | ( | const T & | ast | ) | `[inline, inherited]`

Effectively performs the match.

Parameters:

  | ast | The object to perform the match on.

See also:
  DispatchVisitor::DispatchVisitor

Definition at line 128 of file krat_exp_pattern.hxx.

Referenced by vcsn::constant_term().